import { createRouter, createWebHistory } from "vue-router";
import login from "../login.vue";
import systemIndex from "../systemIndex.vue";
import order from "../components/order.vue";

const router = createRouter({
  routes: [
    { path: "/", component: login },//默认进入login页面
    { path: "/", component: systemIndex },//login之后的页面
     {
      path: "/admin",
      name: "admin",
      component: () => import("../admin.vue"),
      meta: {
        title: "主页",
        requireAuth: true,
      },
      children: [
    {
      	path: "/order",
      	component: order,
      	name: "order",
    	},
      ],
    },  ],
  history: createWebHistory(),
});
export default router;
